hscolour-1.25: Colourise Haskell code.

Safe Haskell | None
Language | Haskell98

Language.Haskell.HsColour.ACSS

Description

Formats Haskell source code as HTML with CSS and Mouseover Type Annotations

Synopsis

- hscolour :: Bool -> Int -> String -> String
- hsannot :: Bool -> Int -> (String, AnnMap) -> String
- newtype AnnMap = Ann (Map Loc (String, String))
- newtype Loc = L (Int, Int)
- breakS :: String
- srcModuleName :: String -> String

# Documentation

hscolour Source #

Arguments

:: Bool | Whether to include anchors.
-> Int | Starting line number (for line anchors).
-> String | Haskell source code, Annotations as comments at end
-> String | Coloured Haskell source code.

Formats Haskell source code using HTML and mouse-over annotations

hsannot Source #

Arguments

:: Bool | Whether to include anchors.
-> Int | Starting line number (for line anchors).
-> (String, AnnMap) | Haskell Source, Annotations
-> String | Coloured Haskell source code.

Formats Haskell source code using HTML and mouse-over annotations

newtype AnnMap Source #

Constructors

Ann (Map Loc (String, String)) |

#### Instances

Instances details

Show AnnMap Source # |
Instance details Defined in Language.Haskell.HsColour.ACSS Methods showsPrec :: Int -> AnnMap -> ShowS Source # show :: AnnMap -> String Source # showList :: [AnnMap] -> ShowS Source #

newtype Loc Source #

Constructors

L (Int, Int) |

#### Instances

Instances details

Show Loc Source # |
Instance details Defined in Language.Haskell.HsColour.ACSS Methods showsPrec :: Int -> Loc -> ShowS Source # show :: Loc -> String Source # showList :: [Loc] -> ShowS Source #
Eq Loc Source # |
Instance details Defined in Language.Haskell.HsColour.ACSS Methods (==) :: Loc -> Loc -> Bool Source # (/=) :: Loc -> Loc -> Bool Source #
Ord Loc Source # |
Instance details Defined in Language.Haskell.HsColour.ACSS Methods compare :: Loc -> Loc -> Ordering Source # (<) :: Loc -> Loc -> Bool Source # (<=) :: Loc -> Loc -> Bool Source # (>) :: Loc -> Loc -> Bool Source # (>=) :: Loc -> Loc -> Bool Source # max :: Loc -> Loc -> Loc Source # min :: Loc -> Loc -> Loc Source #

breakS :: String Source #

srcModuleName :: String -> String Source #